#include<iostream>
using namespace std;

int main(){
    int n,za=0,mp,k;
    cin>>n;
    int a[n];
    int p[n];
    for(int i=0;i<n;i++){
        double a[i],p[i];
        cin>>a[i]>>p[i];
        za=za+a[i];
    }
    for(int i=0;i<n;i++){
        if(i==0){
            mp=za*p[i];
        }
        else {
            k=za*p[i];
            if(k>mp){
                mp=k;
            }
        }
    }
    cout<<mp;
    return 0;
}